package reseauSocial.core;


import java.util.ArrayList;
import java.util.Collection;
import java.util.Observer;
import java.util.Set;

import facebookGhost.FacebookGhostNetwork;
import reseauSocial.Membre;

public interface ReseauSocialInterface extends Observer{

	public MembreInterface  getMembre(String identifiant);

	public Collection<? extends MembreInterface> getMembres();

	public MembreInterface addMembre(String identifiant, int age, String description);
	public MembreInterface addMembre(String identifiant, boolean autreReseau);

	public void mettreEnRelation(int i, MembreInterface asterix, MembreInterface obelix);

	public Set<? extends MembreInterface> membresEnRelationAuRang(MembreInterface membre, int rang);

	public int distance(MembreInterface membre1, MembreInterface membre2);

	public void setAutreReseau(FacebookGhostNetwork f);



}
